Package weka.clusterers.forOPTICSAndDBScan.Utils

# Class UpdateQueueElement

java.lang.Object
weka.clusterers.forOPTICSAndDBScan.Utils.UpdateQueueElement

All Implemented Interfaces:
  `RevisionHandler`

public class UpdateQueueElement extends Object implements RevisionHandler

UpdateQueueElement.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht, Matthias Schubert
Date: Aug 31, 2004
Time: 6:43:18 PM
$ Revision 1.4 $

Version:
  $Revision: 1.3 $
Author:
  Matthias Schubert (schubert@dbs.ifi.lmu.de), Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)

## Constructor Summary

Constructors
Constructor
Description
`UpdateQueueElement(double priority, Object o, String objectKey)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
Returns the object
`String`
`getObjectKey()`
Returns the key
`double`
`getPriority()`
Returns the priority for this object
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdateQueueElement

public UpdateQueueElement(double priority, Object o, String objectKey)

## Method Details

### getPriority

public double getPriority()
Returns the priority for this object

Returns:
  priority

### getObject

public Object getObject()
Returns the object

Returns:

### getObjectKey

public String getObjectKey()
Returns the key

Returns:
  objectKey

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision